> For the complete documentation index, see [llms.txt](https://developers.jseidl.at/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.jseidl.at/typo3/frontendlayouts.md).

# Frontendlayouts

## Basic Informations <a href="#basic-informations" id="basic-informations"></a>

You can select a Frontendlayout in the TYPO3 backend when you edit a Page. („Apperiance“ Tab)

### PageTS <a href="#pagets" id="pagets"></a>

{% code lineNumbers="true" %}

```typoscript
# Frontendlayouts 
TCEFORM.tt_content {
    layout{
        addItems {
            100 = Background Red
            101 = Background Gray
        }
        altLabels{
            100 = Background Red
            101 = Background Gray
        }
    }
}
```

{% endcode %}

### SetupTS <a href="#setupts" id="setupts"></a>

{% code lineNumbers="true" %}

```typoscript
# Frontendlayouts (Wraps)
tt_content.stdWrap.innerWrap.cObject = CASE
tt_content.stdWrap.innerWrap.cObject {
    key.field = layout
    100 = TEXT
    100.value = <div class="red-bg">|</div>
    101 = TEXT
    101.value = <div class="graydark-bg">|</div>
}
```

{% endcode %}

### Fluid/HTML <a href="#fluidhtml" id="fluidhtml"></a>

{% code lineNumbers="true" %}

```html
<f:if condition="{data.layout} == 101">
    <f:then>
        Markup für das bestimmte Frontendlayout
    </f:then>
    <f:else>
        Standardmarkup
    </f:else>
</f:if>
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.jseidl.at/typo3/frontendlayouts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
